













#
# PREAMBLE
#

Summary: A tron lightcycle game in 3D
Name: armagetron
Version: 0.2.5.2
Release: 1
Copyright: GPL
Group: Amusements/Games/Action/Race
Source: armagetron-0.2.5.2.tar.bz2
URL: http://armagetron.sf.net
Distribution: None
Vendor: Z-Man
Packager: Z-Man < z-man@users.sf.net >
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: armagetron-data

# requirements

# Note: automatic determining of dependencies can be tricky because of platform specific extra
# libraries ( i.e. on my system, libGL.so.1 depends on libGLcore.so.x which is not available
# everywhere and not registered in any RPM ); my personal solution was to hack those things 
# away in my local dependency generation script.

%description
In this game you ride a lightcycle; that is a sort of motorbike that
cannot be stopped and leaves a wall behind it. The main goal of the game
is to make your opponents' lightcycles crash into a wall while avoiding
the same fate.
The focus of the game lies on the multiplayer mode, but it provides
challanging AI opponents for a quick training match.

#
# PREP
#

%prep
%setup

%build
progtitle=Armagetron
progname=armagetron
export progtitle
export progname

#optimize
CXXFLAGS="%optflags $CXXFLAGS"
export CXXFLAGS

#build dedicated server
./configure  --prefix=/usr/local --disable-glout
make bindist
mv bindist bindist-dedicated

#build client
./configure  --prefix=/usr/local
make bindist

%install
cd bindist-dedicated
./install -f

cd ..
cd bindist
./install -f
rm -rf $RPM_BUILD_ROOT/etc/armagetron/.orig
rm -rf $RPM_BUILD_ROOT/etc/armagetron/.user

CLIENTPATH=%{_tmppath}/%{name}-%{version}-root/usr/local/games/armagetron/
SERVERPATH=%{_tmppath}/%{name}-%{version}-root/usr/local/games/armagetron-dedicated/

#rm $CLIENTPATH/bin/uninstall
#rm $CLIENTPATH/bin/masterstarter[-]PACKAGENAME
#rm $CLIENTPATH/bin/serverstarter[-]PACKAGENAME
#rm $SERVERPATH/bin/uninstall

%clean
rm -rf $RPM_BUILD_ROOT









#full package
%files

%attr(-,root,root) 		/usr/local/games/armagetron/models
%attr(-,root,root) 		/usr/local/games/armagetron/sound
%attr(-,root,root) 		/usr/local/games/armagetron/textures
%attr(-,root,root) 		/usr/local/games/armagetron/arenas



%attr(-,root,root) 		/usr/local/games/armagetron/COPYING.txt
%attr(-,root,root) 		/usr/local/games/armagetron/bin
%attr(-,root,root) %config 	/etc/armagetron
%attr(-,root,root) 		/usr/local/games/armagetron/language
%attr(-,root,root) 		/usr/local/games/armagetron/log
%attr(-,root,root) %doc 	/usr/local/games/armagetron/doc
%attr(-,root,root) 		/usr/local/bin/armagetron

%attr(-,root,root) 		/usr/local/bin/armagetron-stat


#data files specification
%package data
Summary: Data for Armagetron
Group: Amusements/Games/Action/Race
Provides: armagetron-data

%Description data
This is the data for Armagetron. It is distributed seperately
to avoid multiple downloads.

%files data

%attr(-,root,root) 		/usr/local/games/armagetron/models
%attr(-,root,root) 		/usr/local/games/armagetron/sound
%attr(-,root,root) 		/usr/local/games/armagetron/textures
%attr(-,root,root) 		/usr/local/games/armagetron/arenas


#dedicated server specification
%package dedicated
Summary: Dedicated server for Armagetron
Group: Amusements/Games/Action/Race

%Description dedicated
This is a special lightweight server for Armagetron; it can
be run on a low-spec machine and await connections from
the internet and/or the LAN.

%files dedicated


%attr(-,root,root) 		/usr/local/games/armagetron-dedicated/COPYING.txt
%attr(-,root,root) 		/usr/local/games/armagetron-dedicated/bin
%attr(-,root,root) %config 	/etc/armagetron
%attr(-,root,root) 		/usr/local/games/armagetron-dedicated/language
%attr(-,root,root) 		/usr/local/games/armagetron-dedicated/log
%attr(-,root,root) %doc 	/usr/local/games/armagetron-dedicated/doc
%attr(-,root,root) 		/usr/local/bin/armagetron-dedicated

%attr(-,root,root) 		/usr/local/games/armagetron-dedicated/rc.d


#main package
%package executable
Summary: A tron lightcycle game in 3D
Group: Amusements/Games/Action/Race
Requires: armagetron-data

%Description executable
In this game you ride a lightcycle; that is a sort of motorbike that
cannot be stopped and leaves a wall behind it. The main goal of the game
is to make your opponents' lightcycles crash into a wall while avoiding
the same fate.
The focus of the game lies on the multiplayer mode, but it provides
challanging AI opponents for a quick training match.

%files executable


%attr(-,root,root) 		/usr/local/games/armagetron/COPYING.txt
%attr(-,root,root) 		/usr/local/games/armagetron/bin
%attr(-,root,root) %config 	/etc/armagetron
%attr(-,root,root) 		/usr/local/games/armagetron/language
%attr(-,root,root) 		/usr/local/games/armagetron/log
%attr(-,root,root) %doc 	/usr/local/games/armagetron/doc
%attr(-,root,root) 		/usr/local/bin/armagetron

%attr(-,root,root) 		/usr/local/bin/armagetron-stat


#movie pack specification
%package moviepack
Summary: Additional data for Armagetron
Group: Amusements/Games/Action/Race
Requires: armagetron

%Description moviepack
This is the additional data for Armagetron

%changelog
* Sat Jul  18 2003 Z-Man <z-man@users.sf.net>
- Disabled automatic dependencies

* Sat Jul  12 2003 Z-Man <z-man@users.sf.net>
- Started Changelog, added manual dependencies
